org.jgroups.persistence

## Class CannotCreateSchemaException

- java.lang.Object
- - java.lang.Throwable
  - - java.lang.Exception
    - - org.jgroups.persistence.CannotCreateSchemaException

All Implemented Interfaces:
  java.io.Serializable

    public class CannotCreateSchemaException
    extends java.lang.Exception

Author:
  Mandar Shinde This exception inherits the Exception class and is used in cases where the Persistence Storage cannot create schema to use the API as required. At this point, top level use needs to decide whether to continue or abort.
See Also:
  Serialized Form

### Constructor Summary

Constructors
Constructor and Description
`CannotCreateSchemaException(java.lang.Throwable t, java.lang.String reason)`

### Method Summary

Methods
`java.lang.String` `toString()`

### Methods inherited from class java.lang.Throwable

`fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Constructor Detail

#### CannotCreateSchemaException

    public CannotCreateSchemaException(java.lang.Throwable t,
                               java.lang.String reason)

Parameters:
  `t` -
  `reason` - implementor-specified runtime reason

### Method Detail

#### toString

    public java.lang.String toString()

Overrides:
  `toString` in class `java.lang.Throwable`
Returns:
  String